Welcome, Guest
Username: Password: Remember me
Подробнее на сайте: http://repair-dwelling.ru
http://choose-house.ruhttp://kupil-jilie.ruhttp://joomspider.com
http://buy-immobility.ru
http://health-treatment.ruhttp://leadnews.ruhttp://my-immobility.ruhttp://java-code.ruhttp://grand-finance.ru http://my-houseroom.ru http://maintain-health.ruhttp://tryjoomla.nethttp://dohodok.ru http://body-treatment.ru

TOPIC: Issues with PHP in Kloxo_MR7

Issues with PHP in Kloxo_MR7 3 years 8 months ago #5

  • zokkie
  • zokkie's Avatar
  • Offline
  • Administrator
  • Posts: 3
  • Karma: 0
Hello, so my php-error.log is full of these errors (literally they happen every minute, the file is already 7MB long):

[01-Sep-2015 03:57:05 Europe/London] PHP Warning: PHP Startup: Unable to load dynamic library '/opt/php54s/usr/lib/php/modules/memcached.so' - libmemcached.so.11: cannot open shared object file: No such file or directory in Unknown on line 0

So I went on the webserver config and I try to change the php-branch to php5.6 hoping that may help to fix the problem, but I choose php56 and then after update, it gets a message: "Information:
php_branch successfully updated for pserver-localhost"

But nothing happens it stays on php54. It's ok I can stay with php54, just would like to change it if I need in the future.

Anyway back to the php errors, so I went "full commando" and did "sh /script/phpm-all-install" and I noticed this when was installing the versions 5.4, 5.5 and 5.6:

So I guess those php extensions are not working correctly because they are conflicting with anything else, how can I fix that?

Thanks in advance
It's because you are using other repos that may conflict with repo from mratwork itself. Disabled your remi repo!
So disabled repo, did "sh /script/phpm-all-install --force" and all good this time, no errors and looks like the error on php-error.log I reported is gone too.

But as for changing the php branch, when I try to change it from php 5.4 to 5.6 It stays on 5.4 and I checked the php-error.log and this is what happens:
Use 'php56m' in 'php used' instead select 'php branch'. And don't change 'php branch' (stay in php 5.4).
Last Edit: 3 years 8 months ago by zokkie.
The administrator has disabled public write access.
Time to create page: 0.183 seconds